{
  onDamage(damage, target, source, effect) {
  	if (effect.id === 'recoil') {
  		if (!this.activeMove) throw new Error("Battle.activeMove is null");
  		if (this.activeMove.id !== 'struggle') return null;
  	}
  },
  onChangeBoost(boost, target, source, effect) {
      if (effect && effect.id === "zpower") return;
      for (const stat in boost) {
        if (boost[stat] < 0) {
          boost[stat] = 0;
        }
      }
    },

	flags: {},
	name: "Bad Company",
	rating: 3,
	num: -1002,
}
